Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(2787)

Unified Diff: build/install-build-deps.sh

Issue 9702047: Lots of tweaks to the install-chroot.sh and install-build-deps.sh (Closed) Base URL: svn://svn.chromium.org/chrome/trunk/src/
Patch Set: Created 8 years, 9 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
« no previous file with comments | « no previous file | build/install-chroot.sh » ('j') | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: build/install-build-deps.sh
===================================================================
--- build/install-build-deps.sh (revision 125700)
+++ build/install-build-deps.sh (working copy)
@@ -30,9 +30,9 @@
done
if ! egrep -q \
- 'Ubuntu (10\.04|10\.10|11\.04|11\.10|lucid|maverick|natty|oneiric)' \
+ 'Ubuntu (10\.04|10\.10|11\.04|11\.10|12\.04|lucid|maverick|natty|oneiric|precise)' \
/etc/issue; then
- echo "Only Ubuntu 10.04 (lucid) through 11.10 (oneiric) are currently" \
+ echo "Only Ubuntu 10.04 (lucid) through 12.04 (precise) are currently" \
"supported" >&2
exit 1
fi
@@ -59,7 +59,7 @@
libglu1-mesa-dev libgnome-keyring-dev libgtk2.0-dev libjpeg62-dev
libkrb5-dev libnspr4-dev libnss3-dev libpam0g-dev libsctp-dev
libsqlite3-dev libssl-dev libudev-dev libwww-perl libxslt1-dev
- libxss-dev libxt-dev libxtst-dev mesa-common-dev msttcorefonts patch
+ libxss-dev libxt-dev libxtst-dev mesa-common-dev patch
perl php5-cgi pkg-config python python-cherrypy3 python-dev
python-psutil rpm ruby subversion ttf-dejavu-core ttf-indic-fonts
ttf-kochi-gothic ttf-kochi-mincho ttf-thai-tlwg wdiff git-core
@@ -90,15 +90,26 @@
# Plugin lists needed for tests.
plugin_list="flashplugin-installer"
-# Some NSS packages were renamed in Natty.
-if egrep -q 'Ubuntu (10\.04|10\.10)' /etc/issue; then
- dbg_list="${dbg_list} libnspr4-0d-dbg libnss3-1d-dbg"
- lib_list="${lib_list} libnspr4-0d libnss3-1d"
+# Some package names have changed over time
+if dpkg --print-avail msttcorefonts >/dev/null 2>&1; then
+ dev_list="${dev_list} msttcorefonts"
else
+ dev_list="${dev_list} ttf-mscorefonts-installer"
+fi
+if dpkg --print-avail libnspr4 >/dev/null 2>&1; then
dbg_list="${dbg_list} libnspr4-dbg libnss3-dbg"
lib_list="${lib_list} libnspr4 libnss3"
+else
+ dbg_list="${dbg_list} libnspr4-0d-dbg libnss3-1d-dbg"
+ lib_list="${lib_list} libnspr4-0d libnss3-1d"
fi
+# Some packages are only needed, if the distribution actually supports
+# installing them.
+if dpkg --print-avail appmenu-gtk >/dev/null 2>&1; then
+ lib_list="$lib_list appmenu-gtk"
+fi
+
# Waits for the user to press 'Y' or 'N'. Either uppercase of lowercase is
# accepted. Returns 0 for 'Y' and 1 for 'N'. If an optional parameter has
# been provided to yes_no(), the function also accepts RETURN as a user input.
@@ -161,7 +172,7 @@
# We then re-run "apt-get" with just the list of missing packages.
echo "Finding missing packages..."
packages="${dev_list} ${lib_list} ${dbg_list} ${plugin_list}"
-# Intentially leaving $packages unquoted so it's more readable.
+# Intentionally leaving $packages unquoted so it's more readable.
echo "Packages required: " $packages
echo
new_list_cmd="sudo apt-get install --reinstall $(echo $packages)"
@@ -170,7 +181,7 @@
echo "No missing packages, and the packages are up-to-date."
elif [ $? -eq 1 ]; then
# We expect apt-get to have exit status of 1.
- # This indicates that we canceled the install with "yes n|".
+ # This indicates that we cancelled the install with "yes n|".
new_list=$(echo "$new_list" |
sed -e '1,/The following NEW packages will be installed:/d;s/^ //;t;d')
new_list=$(echo "$new_list" | sed 's/ *$//')
« no previous file with comments | « no previous file | build/install-chroot.sh » ('j') | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698